Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 278155

Summary: dev-perl/Encode-Detect: fails to build with gcc-4.4
Product: Gentoo Linux Reporter: Diego Elio Pettenò (RETIRED) <flameeyes>
Component: New packagesAssignee: Gentoo Perl team <perl>
Status: RESOLVED FIXED    
Severity: normal CC: candrews, esigra
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 249226    
Attachments: Build log
Failed build log for Encode-Detect-1.01 on ~amd64 and GCC 4.3.3

Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-17 14:52:05 UTC
As per summary, check attached build log.

And _please_ try not to fix it in the wrong way: http://blog.flameeyes.eu/2009/07/02/how-_not_-to-fix-gcc-4-4-bugs
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-17 14:52:25 UTC
Created attachment 198305 [details]
Build log
Comment 2 GregS 2009-07-19 08:42:16 UTC
Created attachment 198454 [details]
Failed build log for Encode-Detect-1.01 on ~amd64 and GCC 4.3.3

On x86_64 Encode-Detect also fails during compilation.
I am using GCC 4.3.3 and fresh ~amd64 installation.
I can replicate this bug also on another installation ~x86 also with GCC 4.3.3
Comment 3 GregS 2009-07-19 08:46:28 UTC
(In reply to comment #1)
> Created an attachment (id=198305) [edit]
> Build log
> 

Please change summary from "dev-perl/Encode-Detect: fails to build with gcc-4.4" to "dev-perl/Encode-Detect: fails to build both on x86 and x86_64" as this bug is not related to GCC and seems to be architecture wide/global bug.
Comment 4 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-19 08:50:00 UTC
Can you show your emerge --info? It really shouldn't hit that way on GCC 4.3…
Comment 5 Torsten Veller (RETIRED) gentoo-dev 2009-07-19 09:25:28 UTC
http://rt.cpan.org/Ticket/Display.html?id=31807
Comment 6 Torsten Veller (RETIRED) gentoo-dev 2009-07-19 09:42:19 UTC
It fails with gcc 4.3.2-r3 and ExtUtils-ParseXS-2.20 and works with 2.19.
It does not fail with gcc 4.4.0-r1 and perl-5.10.0 and ExtUtils-ParseXS-2.20 or 2.19
Comment 7 Craig Andrews gentoo-dev 2009-07-24 02:25:45 UTC
I'm getting the same errors as reported in the attached Encode-Detect-1.01:20090717-052252.log. I'm using gcc 4.3.3-r2, dev-perl/Encode-Detect-1.01, ~amd64, and perl-core/ExtUtils-ParseXS-2.20
Comment 8 Mark Loeser (RETIRED) gentoo-dev 2009-07-25 21:21:05 UTC
Fixed, thanks.

+*ExtUtils-ParseXS-2.20-r1 (25 Jul 2009)
+
+  25 Jul 2009; Mark Loeser <halcy0n@gentoo.org>
+  -ExtUtils-ParseXS-2.20.ebuild, +ExtUtils-ParseXS-2.20-r1.ebuild,
+  +files/eu-pxs-newXS-const-file.patch:
+  Revbump to fix header for gcc-4.4 issue; bug #278155